Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaqtl.graph
Class QtlPartitionLayer

    java.lang.Object
      org.metaqtl.graph.AnchoredElement
          org.metaqtl.graph.Layer
              org.metaqtl.graph.QtlPartitionLayer

    public class QtlPartitionLayer

extends Layer

Field Summary

Fields inherited from class org.metaqtl.graph.Layer
`height, width`

Fields inherited from class org.metaqtl.graph.AnchoredElement
`x, y`

Constructor Summary
`QtlPartitionLayer(double x, double y)`

Method Summary
`void` | `attach(java.lang.Object object)` Attach the given `object` to the layer.
`void` | `build(java.awt.Graphics2D graph)` Build the layer.
`void` | `draw(java.awt.Graphics2D graph)` Draws the layer on the given `graph` context.
`ChromAxe` | `getChromAxe()`
`java.util.ArrayList` | `getQtlPartNames()`
`double` | `getYMax()`
`double` | `getYMin()`
`void` | `setChromAxe(ChromAxe chromAxe)`

Methods inherited from class org.metaqtl.graph.Layer
`getHeight, getWidth`

Methods inherited from class org.metaqtl.graph.AnchoredElement
`getX, getY, setX, setY`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QtlPartitionLayer

    public QtlPartitionLayer(double x,
                             double y)

Parameters:
  `x` -
  `y` -
  `size` -
  `type` -

Method Detail

### build

    public void build(java.awt.Graphics2D graph)

  Description copied from class: `Layer`
  Build the layer.

  Specified by:
    `build` in class `Layer`
  Parameters:
    `height` -

### draw

    public void draw(java.awt.Graphics2D graph)

  Description copied from class: `Layer`
  Draws the layer on the given `graph` context.

  Specified by:
    `draw` in class `Layer`

### setChromAxe

    public void setChromAxe(ChromAxe chromAxe)

  Parameters:
    `chromAxe` -

### getChromAxe

    public ChromAxe getChromAxe()

  Returns:
    Returns the chromAxe.

### attach

    public void attach(java.lang.Object object)

  Description copied from class: `Layer`
  Attach the given `object` to the layer.

  Specified by:
    `attach` in class `Layer`
  Parameters:
    `object` - the object to attach to the layer.

### getYMin

    public double getYMin()

  Specified by:
    `getYMin` in class `Layer`

### getYMax

    public double getYMax()

  Specified by:
    `getYMax` in class `Layer`

### getQtlPartNames

    public java.util.ArrayList getQtlPartNames()

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD